function Elgoh_StartDKP()
	ElgohRaiderList={};
	ElgohXML="";
	local total=0;
	for r=1, GetNumGuildMembers(), 1 do
		name, rank, rankIndex, level, class, zone, note, officernote, online = GetGuildRosterInfo(r);
		if(zone==GetZoneText() and level==85 and online) then
			total=total+1;
			ElgohRaiderList[total]=name;
		end
	end
	
	if(total==0) then
		Elgoh_Print("Elgoh: No SDKP awarded");
	else
	if(total==1) then Elgoh_Print(total.." person got Start DKP:"); else Elgoh_Print(total.." people got Start DKP:"); end
		for index,value in ipairs(ElgohRaiderList) do
		if(value==UnitName("PLAYER")) then value=value.." (you)"; end
			Elgoh_Print(index..": "..value);
		end
	end
	
	local latetime=(time()+10800);
	local ElgohXML="<RaidInfo><version>2.2</version><realm>"..GetRealmName().."</realm><start>"..time().."</start><end>"..(latetime).."</end><PlayerInfos>";
	
	for index,value in ipairs(ElgohRaiderList) do
		ElgohXML=ElgohXML.."<key"..index.."><name>"..value.."</name></key"..index..">";
	end 
	
	ElgohXML=ElgohXML.."</PlayerInfos><BossKills><key1><name>Start Bonus</name><time>"..time().."</time><attendees>";
	
    for index,value in ipairs(ElgohRaiderList) do
		ElgohXML=ElgohXML.."<key"..index.."><name>"..value.."</name></key"..index..">";
	end              
    
	ElgohXML=ElgohXML.."</attendees><event_source>Elgoh</event_source><value></value></key1></BossKills></RaidInfo>";
	URLFrameEditBox:SetText(ElgohXML);
	URLFrameEditBox:HighlightText();
	URLFrame:Show();
	ElgohXML=nil;
end

-- <RaidInfo>
    -- <version>2.2</version>
    -- <!-- the raid start in epoch time-->
    -- <start>1000000000</start>
    -- <!-- the raid end in epoch time-->     
    -- <end>1000010900</end>
    -- <zone>Raid Name Goes Here</zone>
    -- <PlayerInfos>
        -- <key1>
            -- <name>Player Name 1</name>
        -- </key1>
    -- </PlayerInfos>
    -- <BossKills>
        -- <!-- the boss kills will be the events for the raid -->
        -- <key1>
            -- <name>Boss Name 1</name>
            -- <!-- the time of the kill in epoch time-->
            -- <time>1000000100</time>
            -- <!-- the list of attendees for the bosskill -->
            -- <attendees>
                -- <key1>
                    -- <name>CharacterName1</name>
                -- </key1>
                -- <key2>
                    -- <name>CharacterName2</name>
                -- </key2>                 
             -- </attendees>
             -- <!-- an indicator that this is from the manual method -->
             -- <event_source>ManualXML</event_source>
             -- <!-- the DKP value of the bosskill, blank will use defaults from events -->
             -- <value></value>
        -- </key1>
    -- </BossKills>
    -- <NextBoss>unused</NextBoss>
    -- <Join>
        -- <!-- these keys indicate when a player joined the raid -->
        -- <!-- to get credit for attendance for the boss, the player must join before the boss kill time and leave after the boss kill time -->
        -- <key1>
            -- <player>Player Name 1</player>
            -- <time>1000000000</time>
        -- </key1>
        -- <key2>
            -- <player>Player Name 2</player>
            -- <time>1000000000</time>
        -- </key2>
    -- </Join>
    -- <Leave>
        -- <key1>
            -- <player>Player Name 1</player>
            -- <time>1000010900</time>
        -- </key1>
        -- <key2>
            -- <player>Player Name 2</player>
            -- <time>1000010700</time>
        -- </key2>
    -- </Leave>
    -- <Loot>
        -- <!-- these are the item drops. the only used fields are ItemName, Player, Costs and Boss  the Costs field is the DKP spent on the item-->
        -- <key1>
            -- <ItemName>Item Name 1</ItemName>
            -- <Count>0</Count>
            -- <Player>Player Name 1</Player>
            -- <Time>1000000005</Time>
            -- <Zone>Raid Name Goes Here</Zone>
            -- <Boss>Boss Name 1</Boss>
            -- <!-- the DKP spent on the item --> 
            -- <Costs>123</Costs>
        -- </key1>
        -- <key2>
            -- <ItemName>Item Name 2</ItemName>
            -- <Count>0</Count>
            -- <Player>Player Name 2</Player>
            -- <Time>1000000005</Time>
            -- <Zone>Raid Name Goes Here</Zone>
            -- <Boss>Boss Name 2</Boss>
            -- <!-- the DKP spent on the item --> 
            -- <Costs>123</Costs>    
        -- </key2>
    -- </Loot>
-- </RaidInfo>